I too have a nikon version which will not work